﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;

namespace UltraGridCellFormatt
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            ultraGrid1.CreationFilter = new CreatingTextUIElement((decimal)e.Row.Cells["B"].Value);
        }
    }

    public class CreatingTextUIElement : IUIElementCreationFilter
    {

        private decimal cellValue;
        public CreatingTextUIElement(decimal CellValue)
        {
            cellValue = CellValue;
        }

        public void AfterCreateChildElements(UIElement parent)
        {

            EditorWithTextDisplayTextUIElement El = parent as EditorWithTextDisplayTextUIElement;

            decimal number;
            if (El != null && Decimal.TryParse(El.Text, out number))
            {
                if (number > 1000)
                {
                    El.Text = number.ToString("0,0 Milions");
                }
                else
                {
                    El.Text = number.ToString("##.00 Thousends");
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }

}
